org.codehaus.plexus.logging.console

## Class ConsoleLoggerManager

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLoggerManager
  - - org.codehaus.plexus.logging.console.ConsoleLoggerManager

All Implemented Interfaces:
  LoggerManager, Initializable

    public class ConsoleLoggerManager
    extends AbstractLoggerManager
    implements LoggerManager, Initializable

This is a simple logger manager that will only write the logging statements to the console. Sample configuration:

     <logging>
       <implementation>org.codehaus.plexus.logging.ConsoleLoggerManager</implementation>
       <logger>
         <threshold>DEBUG</threshold>
       </logger>
     </logging>

Version:
  $Id: ConsoleLoggerManager.java 7789 2008-10-13 22:54:22Z bentmann $
Author:
  Jason van Zyl, Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.logging.LoggerManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ConsoleLoggerManager()`
`ConsoleLoggerManager(java.lang.String threshold)` This special constructor is called directly when the container is bootstrapping itself.

### Method Summary

All Methods Instance Methods Concrete Methods
`Logger` `createLogger(int threshold, java.lang.String name)`
`int` `getActiveLoggerCount()`
`Logger` `getLoggerForComponent(java.lang.String role, java.lang.String roleHint)`
`int` `getThreshold()` Returns the current threshold for all new loggers.
`int` `getThreshold(java.lang.String role, java.lang.String roleHint)`
`void` `initialize()`
`void` `returnComponentLogger(java.lang.String role, java.lang.String roleHint)`
`void` `setThreshold(int currentThreshold)` Sets the threshold for all new loggers.
`void` `setThreshold(java.lang.String role, java.lang.String roleHint, int threshold)`
`void` `setThresholds(int currentThreshold)` Sets the threshold for all loggers.

### Methods inherited from class org.codehaus.plexus.logging.AbstractLoggerManager

`getLoggerForComponent, getThreshold, returnComponentLogger, setThreshold, toMapKey`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.logging.LoggerManager

`getLoggerForComponent, getThreshold, returnComponentLogger, setThreshold`

### Constructor Detail

#### ConsoleLoggerManager

    public ConsoleLoggerManager()

#### ConsoleLoggerManager

    public ConsoleLoggerManager(java.lang.String threshold)

This special constructor is called directly when the container is bootstrapping itself.

### Method Detail

#### initialize

    public void initialize()

Specified by:
  `initialize` in interface `Initializable`

#### setThreshold

    public void setThreshold(int currentThreshold)

Description copied from interface: `LoggerManager`
Sets the threshold for all new loggers. It will NOT affect the existing loggers. This is usually only set once while the logger manager is configured.

Specified by:
  `setThreshold` in interface `LoggerManager`
Parameters:
  `currentThreshold` - The new threshold.

#### setThresholds

    public void setThresholds(int currentThreshold)

Description copied from interface: `LoggerManager`
Sets the threshold for all loggers. It affects all the existing loggers as well as future loggers.

Specified by:
  `setThresholds` in interface `LoggerManager`
Parameters:
  `currentThreshold` - The new threshold.

#### getThreshold

    public int getThreshold()

Description copied from interface: `LoggerManager`
Returns the current threshold for all new loggers.

Specified by:
  `getThreshold` in interface `LoggerManager`
Returns:
  Returns the threshold.

#### setThreshold

    public void setThreshold(java.lang.String role,
                             java.lang.String roleHint,
                             int threshold)

Specified by:
  `setThreshold` in interface `LoggerManager`

#### getThreshold

    public int getThreshold(java.lang.String role,
                            java.lang.String roleHint)

Specified by:
  `getThreshold` in interface `LoggerManager`

#### createLogger

    public Logger createLogger(int threshold,
                               java.lang.String name)

#### getLoggerForComponent

    public Logger getLoggerForComponent(java.lang.String role,
                                        java.lang.String roleHint)

Specified by:
  `getLoggerForComponent` in interface `LoggerManager`

#### returnComponentLogger

    public void returnComponentLogger(java.lang.String role,
                                      java.lang.String roleHint)

Specified by:
  `returnComponentLogger` in interface `LoggerManager`

#### getActiveLoggerCount

    public int getActiveLoggerCount()

Specified by:
  `getActiveLoggerCount` in interface `LoggerManager`